---
title: Get Chat Message Reaction | API Docs
---

GET

/api/partner/v2/chat\_message\_reactions/{reaction\_id}

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/chat_message_reactions/1';
const options = {
  method: 'GET',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request GET \
  --url https://api.linqapp.com/api/partner/v2/chat_message_reactions/1 \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/chat\_message\_reactions/{reaction\_id}

Retrieves details for a specific reaction

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Parameters

### Path Parameters

**reaction\_id**

required

integer

The reaction ID

## Responses

### 200

Successful response

Media type application/json

object

**data**

object

**id**

integer

**chat\_message\_id**

integer

**reaction**

The type of reaction

string

Allowed values: love like dislike laugh emphasize question

**is\_from\_me**

boolean

**from\_phone**

string

**sent\_at**

string format: date-time

**created\_at**

string format: date-time

**updated\_at**

string format: date-time

##### Example

```
{
  "data": {
    "id": 456,
    "chat_message_id": 224,
    "reaction": "love",
    "is_from_me": false,
    "from_phone": "+15551234567",
    "sent_at": "2025-05-21T15:30:00.000-05:00",
    "created_at": "2025-05-21T15:30:00.000-05:00",
    "updated_at": "2025-05-21T15:30:00.000-05:00"
  }
}
```
